Package com.logicaldoc.core.automation

# Class LogTool

java.lang.Object
com.logicaldoc.core.automation.LogTool

public class LogTool extends Object
Simple utility class to give access to the system's log from within the Automation

Since:
  7.5.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`LogTool()`

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String message)`
Writes in the system log with DEBUG priority
`void`
`error(String message)`
Writes in the system log with ERROR priority
`void`
`info(String message)`
Writes in the system log with INFO priority
`void`
`print(String message)`
Prints in the system output
`void`
`warn(String message)`
Writes in the system log with WARN priority

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogTool

public LogTool()

## Method Details

### print

public void print(String message)
Prints in the system output

Parameters:
  `message` - the message to print

### debug

public void debug(String message)
Writes in the system log with DEBUG priority

Parameters:
  `message` - the message to print

### info

public void info(String message)
Writes in the system log with INFO priority

Parameters:
  `message` - the message to print

### warn

public void warn(String message)
Writes in the system log with WARN priority

Parameters:
  `message` - the message to print

### error

public void error(String message)
Writes in the system log with ERROR priority

Parameters:
  `message` - the message to print